LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ListEntryEvent Struct Reference

specifies the event which is notified when a change in a string entry list occurred More...

`import"ListEntryEvent.idl";`

Inheritance diagram for ListEntryEvent:

## Public Attributes
long | Position
| denotes the position where a change occurred. More...
long | Count
| denotes the number of changed entries, in case a change of an entry range is being notified. More...
sequence< string > | Entries
| denotes the changed entries More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

specifies the event which is notified when a change in a string entry list occurred

See also
  XListEntrySource
  XListEntryListener

## Member Data Documentation

long Count

denotes the number of changed entries, in case a change of an entry range is being notified.

sequence< string > Entries

denotes the changed entries

The concrete semantics of the value depends on the concrete event being notified.

long Position

denotes the position where a change occurred.

The concrete semantics of the value depends on the concrete event being notified.

The documentation for this struct was generated from the following file:

- com/sun/star/form/binding/ListEntryEvent.idl